# trove

## database backup create

Creates a backup of an instance.

    openstack database backup create
        [-i <instance>]
        [--description <description>]
        [--parent <parent>]
        [--incremental]
        [--swift-container SWIFT_CONTAINER]
        [--restore-from RESTORE_FROM]
        [--restore-datastore-version RESTORE_DATASTORE_VERSION]
        [--restore-size RESTORE_SIZE]
        [--storage-driver STORAGE_DRIVER]
        <name>

-i <instance>, --instance <instance>

  ID or name of the instance. This is not required if restoring a backup from the data location.

--description <description>

  An optional description for the backup.

--parent <parent>

  Optional ID of the parent backup to perform an incremental backup from.

--incremental

  Create an incremental backup based on the last full or incremental backup. It will create a full backup if no existing backup found.

--swift-container <SWIFT_CONTAINER>

  The container name for storing the backup data when Swift is used as backup storage backend. If not specified, will use the container name configured in the backup strategy, otherwise, the default value configured by the cloud operator. Non-existent container is created automatically.

--restore-from <RESTORE_FROM>

  The original backup data location, typically this is a Swift object URL.

--restore-datastore-version <RESTORE_DATASTORE_VERSION>

  ID of the local datastore version corresponding to the original backup

--restore-size <RESTORE_SIZE>

  The original backup size.

--storage-driver <STORAGE_DRIVER>

  The storage driver used to save backup data. Current valid values are: swift, cinder. It depends on Trove support. May conflict with other options.

name

  Name of the backup.

This command is provided by the python-troveclient plugin.

## database backup delete

Deletes a backup.

    openstack database backup delete backup [backup ...]

backup

  Id or name of backup(s).

This command is provided by the python-troveclient plugin.

## database backup execution delete

Deletes an execution.

    openstack database backup execution delete <execution>

execution

  ID of the execution to delete.

This command is provided by the python-troveclient plugin.

## database backup list

List database backups

    openstack database backup list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <ID>]
        [--datastore <datastore>]
        [--instance-id INSTANCE_ID]
        [-i INSTANCE]
        [--all-projects]
        [--project-id PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Return up to N number of the most recent bcakups.

--marker <ID>

  Begin displaying the results for IDs greater than thespecified marker. When used with `--limit`, set this to the last ID displayed in the previous run.

--datastore <datastore>

  ID or name of the datastore (to filter backups by).

--instance-id <INSTANCE_ID>

  Filter backups by database instance ID. Deprecated since Xena. Use -i/–instance instead.

-i <INSTANCE>, --instance <INSTANCE>

  Filter backups by database instance(ID or name).

--all-projects

  Get all the backups of all the projects(Admin only).

--project-id <PROJECT_ID>

  Filter backups by project ID.

This command is provided by the python-troveclient plugin.

## database backup list instance

Lists available backups for an instance.

    openstack database backup list instance
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--limit <limit>]
        [--marker <ID>]
        <instance>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Return up to N number of the most recent bcakups.

--marker <ID>

  Begin displaying the results for IDs greater than thespecified marker. When used with `--limit`, set this to the last ID displayed in the previous run.

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database backup show

Shows details of a database backup

    openstack database backup show <backup>

backup

  ID or name of the backup

This command is provided by the python-troveclient plugin.

## database backup strategy create

Creates backup strategy for the project or a particular instance.

    openstack database backup strategy create
        [--project-id PROJECT_ID]
        [--instance-id INSTANCE_ID]
        [--swift-container SWIFT_CONTAINER]

--project-id <PROJECT_ID>

  Project ID in Keystone. Only admin user is allowed to create backup strategy for other projects.

--instance-id <INSTANCE_ID>

  Database instance ID.

--swift-container <SWIFT_CONTAINER>

  The container name for storing the backup data when Swift is used as backup storage backend.

This command is provided by the python-troveclient plugin.

## database backup strategy delete

Deletes backup strategy.

    openstack database backup strategy delete
        [--project-id PROJECT_ID]
        [--instance-id INSTANCE_ID]

--project-id <PROJECT_ID>

  Project ID in Keystone. Only admin user is allowed to delete backup strategy for other projects.

--instance-id <INSTANCE_ID>

  Database instance ID.

This command is provided by the python-troveclient plugin.

## database backup strategy list

List backup strategies

    openstack database backup strategy list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--instance-id INSTANCE_ID]
        [--project-id PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--instance-id <INSTANCE_ID>

  Filter results by database instance ID.

--project-id <PROJECT_ID>

  Project ID in Keystone. Only admin user is allowed to list backup strategy for other projects.

This command is provided by the python-troveclient plugin.

## database cluster create

Creates a new database cluster.

    openstack database cluster create
        [--instance "opt=<value>[,opt=<value> ...]
        "]
        [--locality <policy>]
        [--extended-properties "opt=<value>[,opt=<value> ...]
        "]
        [--configuration <configuration>]
        <name>
        <datastore>
        <datastore_version>

--instance "opt=<value>[,opt=<value> ...] "

  Add an instance to the cluster. Specify multiple times to create multiple instances. Valid options are: flavor=<flavor_name_or_id>, volume=<disk_size_in_GB>, volume_type=<type>, nic=’<net-id=<net-uuid>, v4-fixed-ip=<ip-addr>, port-id=<port-uuid>>’ (where net-id=network_id, v4-fixed-ip=IPv4r_fixed_address, port-id=port_id), availability_zone=<AZ_hint_for_Nova>, module=<module_name_or_id>, type=<type_of_cluster_node>, related_to=<related_attribute>.

--locality <policy>

  Locality policy to use when creating cluster. Choose one of %(choices)s.

--extended-properties "opt=<value>[,opt=<value> ...] "

  Add extended properties for cluster create. Currently only support MongoDB options, other databases will be added in the future. MongoDB: num_configsvr=<number_of_configsvr>, num_mongos=<number_of_mongos>, configsvr_volume_size=<disk_size_in_GB>, configsvr_volume_type=<volume_type>, mongos_volume_size=<disk_size_in_GB>, mongos_volume_type=<volume_type>.

--configuration <configuration>

  ID of the configuration group to attach to the cluster.

name

  Name of the cluster.

datastore

  A datastore name or ID.

datastore_version

  A datastore version name or ID.

This command is provided by the python-troveclient plugin.

## database cluster delete

Deletes a cluster.

    openstack database cluster delete <cluster>

cluster

  ID or name of the cluster.

This command is provided by the python-troveclient plugin.

## database cluster force delete

Force delete a cluster.

    openstack database cluster force delete <cluster>

cluster

  ID or name of the cluster.

This command is provided by the python-troveclient plugin.

## database cluster grow

Adds more instances to a cluster.

    openstack database cluster grow
        [--instance "opt=<value>[,opt=<value> ...]
        "]
        <cluster>

--instance "opt=<value>[,opt=<value> ...] "

  Add an instance to the cluster. Specify multiple times to create multiple instances. Valid options are: flavor=<flavor_name_or_id>, volume=<disk_size_in_GB>, volume_type=<type>, nic=’<net-id=<net-uuid>, v4-fixed-ip=<ip-addr>, port-id=<port-uuid>>’ (where net-id=network_id, v4-fixed-ip=IPv4r_fixed_address, port-id=port_id), availability_zone=<AZ_hint_for_Nova>, module=<module_name_or_id>, type=<type_of_cluster_node>, related_to=<related_attribute>.

cluster

  ID or name of the cluster.

This command is provided by the python-troveclient plugin.

## database cluster list

List database clusters

    openstack database cluster list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <ID>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of results displayed.

--marker <ID>

  Begin displaying the results for IDs greater than the specified marker. When used with `--limit`, set this to the last ID displayed in the previous run.

This command is provided by the python-troveclient plugin.

## database cluster list instances

Lists all instances of a cluster.

    openstack database cluster list instances
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <cluster>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

cluster

  ID or name of the cluster.

This command is provided by the python-troveclient plugin.

## database cluster modules

Lists all modules for each instance of a cluster.

    openstack database cluster modules
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <cluster>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

cluster

  ID or name of the cluster.

This command is provided by the python-troveclient plugin.

## database cluster reset status

Set the cluster task to NONE.

    openstack database cluster reset status <cluster>

cluster

  ID or name of the cluster.

This command is provided by the python-troveclient plugin.

## database cluster show

Shows details of a database cluster

    openstack database cluster show <cluster>

cluster

  ID or name of the cluster

This command is provided by the python-troveclient plugin.

## database cluster shrink

Drops instances from a cluster.

    openstack database cluster shrink <cluster> <instance> [<instance> ...]

cluster

  ID or name of the cluster.

instance

  Drop instance(s) from the cluster. Specify multiple ids to drop multiple instances.

This command is provided by the python-troveclient plugin.

## database cluster upgrade

Upgrades a cluster to a new datastore version.

    openstack database cluster upgrade <cluster> <datastore_version>

cluster

  ID or name of the cluster.

datastore_version

  A datastore version name or ID.

This command is provided by the python-troveclient plugin.

## database configuration attach

Attaches a configuration group to an instance.

    openstack database configuration attach <instance> <configuration>

instance

  ID or name of the instance

configuration

  ID or name of the configuration group to attach to the instance.

This command is provided by the python-troveclient plugin.

## database configuration create

Creates a configuration group.

    openstack database configuration create
        [--datastore <datastore>]
        [--datastore-version <datastore_version>]
        [--datastore-version-number DATASTORE_VERSION_NUMBER]
        [--description <description>]
        <name>
        <values>

--datastore <datastore>

  Datastore assigned to the configuration group. Required if default datastore is not configured.

--datastore-version <datastore_version>

  Datastore version ID assigned to the configuration group.

--datastore-version-number <DATASTORE_VERSION_NUMBER>

  The version number for the database. The version number is needed for the datastore versions with the same name.

--description <description>

  An optional description for the configuration group.

name

  Name of the configuration group.

values

  Dictionary of the values to set.

This command is provided by the python-troveclient plugin.

## database configuration default

Shows the default configuration of an instance.

    openstack database configuration default <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database configuration delete

Deletes a configuration group.

    openstack database configuration delete <configuration_group>

configuration_group

  ID or name of the configuration group

This command is provided by the python-troveclient plugin.

## database configuration detach

Detaches a configuration group from an instance.

    openstack database configuration detach <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database configuration instances

Lists all instances associated with a configuration group.

    openstack database configuration instances
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--limit <limit>]
        [--marker <ID>]
        <configuration_group>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of results displayed.

--marker <ID>

  Begin displaying the results for IDs greater than the specified marker. When used with –limit, set this to the last ID displayed in the previous run.

configuration_group

  ID or name of the configuration group.

This command is provided by the python-troveclient plugin.

## database configuration list

List database configurations

    openstack database configuration list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--limit <limit>]
        [--marker <ID>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of results displayed.

--marker <ID>

  Begin displaying the results for IDs greater than the specified marker. When used with –limit, set this to the last ID displayed in the previous run.

This command is provided by the python-troveclient plugin.

## database configuration parameter list

Lists available parameters for a configuration group.

    openstack database configuration parameter list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--datastore <datastore>]
        <datastore_version>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--datastore <datastore>

  ID or name of the datastore to list configurationparameters for. Optional if the ID of thedatastore_version is provided.

datastore_version

  Datastore version name or ID assigned to the configuration group. ID is preferred if more than one datastore versions have the same name.

This command is provided by the python-troveclient plugin.

## database configuration parameter set

Change parameters for a configuration group.

    openstack database configuration parameter set
        configuration_group_id
        <values>

configuration_group_id

  Configuration group ID.

values

  Dictionary of the new values to set.

This command is provided by the python-troveclient plugin.

## database configuration parameter show

Shows details of a database configuration parameter.

    openstack database configuration parameter show
        [--datastore <datastore>]
        <datastore_version>
        <parameter>

--datastore <datastore>

  ID or name of the datastore to list configuration parameters for. Optional if the ID of the datastore_version is provided.

datastore_version

  Datastore version name or ID assigned to the configuration group. ID is preferred if more than one datastore versions have the same name.

parameter

  Name of the configuration parameter.

This command is provided by the python-troveclient plugin.

## database configuration set

Update a configuration group.

    openstack database configuration set
        [--name <name>]
        [--description <description>]
        configuration_group_id
        <values>

--name <name>

  New name of the configuration group.

--description <description>

  An optional description for the configuration group.

configuration_group_id

  Configuration group ID.

values

  Dictionary of the values to set.

This command is provided by the python-troveclient plugin.

## database configuration show

Shows details of a database configuration group.

    openstack database configuration show <configuration_group>

configuration_group

  ID or name of the configuration group

This command is provided by the python-troveclient plugin.

## database db create

Creates a database on an instance.

    openstack database db create
        [--character_set <character_set>]
        [--collate <collate>]
        <instance>
        <name>

--character_set <character_set>

  Optional character set for database.

--collate <collate>

  Optional collation type for database.

instance

  ID or name of the instance.

name

  Name of the database.

This command is provided by the python-troveclient plugin.

## database db delete

Deletes a database from an instance.

    openstack database db delete <instance> <database>

instance

  ID or name of the instance.

database

  Name of the database.

This command is provided by the python-troveclient plugin.

## database db list

Get a list of all Databases from the instance.

    openstack database db list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <instance>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database flavor list

List database flavors

    openstack database flavor list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--datastore-type <datastore-type>]
        [--datastore-version-id <datastore-version-id>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--datastore-type <datastore-type>

  Type of the datastore. For eg: mysql.

--datastore-version-id <datastore-version-id>

  ID of the datastore version.

This command is provided by the python-troveclient plugin.

## database flavor show

Shows details of a database flavor

    openstack database flavor show <flavor>

flavor

  ID or name of the flavor

This command is provided by the python-troveclient plugin.

## database instance create

Creates a new database instance.

    openstack database instance create
        [--flavor <flavor>]
        [--size <size>]
        [--volume-type <volume_type>]
        [--databases <database> [<database> ...]]
        [--users <user:password> [<user:password> ...]]
        [--backup <backup>]
        [--availability-zone <availability_zone>]
        [--datastore <datastore>]
        [--datastore-version <datastore_version>]
        [--datastore-version-number DATASTORE_VERSION_NUMBER]
        [--nic <net-id=<net-uuid>,subnet-id=<subnet-uuid>,ip-address=<ip-address>>]
        [--configuration <configuration>]
        [--replica-of <source_instance>]
        [--replica-count <count>]
        [--module <module>]
        [--locality <policy>]
        [--is-public]
        [--allowed-cidr ALLOWED_CIDRS]
        <name>

--flavor <flavor>

  Flavor to create the instance (name or ID). Flavor is not required when creating replica instances.

--size <size>

  Size of the instance disk volume in GB. Required when volume support is enabled.

--volume-type <volume_type>

  Volume type. Optional when volume support is enabled.

--databases <database>

  Optional list of databases.

--users <user:password>

  Optional list of users.

--backup <backup>

  A backup name or ID.

--availability-zone <availability_zone>

  The Zone hint to give to Nova.

--datastore <datastore>

  A datastore name or ID.

--datastore-version <datastore_version>

  A datastore version name or ID.

--datastore-version-number <DATASTORE_VERSION_NUMBER>

  The version number for the database. The version number is needed for the datastore versions with the same name.

--nic <net-id=<net-uuid>,subnet-id=<subnet-uuid>,ip-address=<ip-address>>

  Create instance in the given Neutron network. This information is used for creating user-facing port for the instance. Either network ID or subnet ID (or both) should be specified, IP address is optional

--configuration <configuration>

  ID of the configuration group to attach to the instance.

--replica-of <source_instance>

  ID or name of an existing instance to replicate from.

--replica-count <count>

  Number of replicas to create (defaults to 1 if replica_of specified).

--module <module>

  ID or name of the module to apply. Specify multiple times to apply multiple modules.

--locality <policy>

  Locality policy to use when creating replicas. Choose one of %(choices)s.

--is-public

  Whether or not to make the instance public.

--allowed-cidr <ALLOWED_CIDRS>

  The IP CIDRs that are allowed to access the database instance. Repeat for multiple values

name

  Name of the instance.

This command is provided by the python-troveclient plugin.

## database instance delete

Deletes an instance.

    openstack database instance delete [--force] instance [instance ...]

--force

  Force delete the instance, will reset the instance status before deleting.

instance

  Id or name of instance(s).

This command is provided by the python-troveclient plugin.

## database instance detach

Detaches a replica instance from its replication source.

    openstack database instance detach <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database instance eject

Ejects a replica source from its set.

    openstack database instance eject <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database instance force delete

Force delete an instance.

    openstack database instance force delete <instance>

instance

  ID or name of the instance

This command is provided by the python-troveclient plugin.

## database instance list

List database instances

    openstack database instance list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <ID>]
        [--include_clustered]
        [--all-projects]
        [--project-id PROJECT_ID]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of results displayed.

--marker <ID>

  Begin displaying the results for IDs greater than thespecified marker. When used with `--limit`, set this to the last ID displayed in the previous run.

--include_clustered, --include-clustered

  Include instances that are part of a cluster (default %(default)s). –include-clustered may be deprecated in the future, retaining just –include_clustered.

--all-projects

  Include database instances of all projects (admin only)

--project-id <PROJECT_ID>

  Include database instances of a specific project (admin only)

This command is provided by the python-troveclient plugin.

## database instance promote

Promotes a replica to be the new replica source of its set.

    openstack database instance promote <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database instance reboot

Reboots an instance(the Nova server).

    openstack database instance reboot <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database instance rebuild

Rebuilds an instance(the Nova server).

    openstack database instance rebuild <instance> <image-id>

instance

  ID or name of the instance.

image-id

  ID of the new guest image.

This command is provided by the python-troveclient plugin.

## database instance reset status

Set instance service status to ERROR and clear the current task status. Mark any running backup operations as FAILED.

    openstack database instance reset status <instance>

instance

  ID or name of the instance

This command is provided by the python-troveclient plugin.

## database instance resize flavor

Resize an instance with a new flavor

    openstack database instance resize flavor <instance> flavor

instance

  ID or name of the instance

flavor

  ID or name of the new flavor.

This command is provided by the python-troveclient plugin.

## database instance resize volume

Resizes the volume size of an instance.

    openstack database instance resize volume <instance> <size>

instance

  ID or name of the instance.

size

  New size of the instance disk volume in GB.

This command is provided by the python-troveclient plugin.

## database instance restart

Restarts an instance.

    openstack database instance restart <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database instance show

Show instance details

    openstack database instance show <instance>

instance

  Instance (name or ID)

This command is provided by the python-troveclient plugin.

## database instance update

Updates an instance: Edits name, configuration, or replica source.

    openstack database instance update
        [--name <name>]
        [--configuration <configuration>]
        [--detach-replica-source]
        [--remove-configuration]
        [--is-public | --is-private]
        [--allowed-cidr ALLOWED_CIDRS]
        <instance>

--name <name>

  ID or name of the instance.

--configuration <configuration>

  ID of the configuration reference to attach.

--detach-replica-source, --detach_replica_source

  Detach the replica instance from its replication source. –detach-replica-source may be deprecated in the future in favor of just –detach_replica_source

--remove-configuration, --remove_configuration

  Drops the current configuration reference.

--is-public

  Make the database instance accessible to public.

--is-private

  Make the database instance inaccessible to public.

--allowed-cidr <ALLOWED_CIDRS>

  The IP CIDRs that are allowed to access the database instance. Repeat for multiple values

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database instance upgrade

Upgrades an instance to a new datastore version.

    openstack database instance upgrade <instance> <datastore_version>

instance

  ID or name of the instance.

datastore_version

  ID or name of the datastore version.

This command is provided by the python-troveclient plugin.

## database limit list

List database limits

    openstack database limit list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-troveclient plugin.

## database log list

Lists the log files available for instance.

    openstack database log list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <instance>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database log save

Save the log file.

    openstack database log save [--file FILE] <instance> <log_name>

--file <FILE>

  Path of file to save log to for instance.

instance

  Id or Name of the instance.

log_name

  Name of log to operate.

This command is provided by the python-troveclient plugin.

## database log set

Instructs Trove guest to operate logs.

    openstack database log set
        [--enable]
        [--disable]
        [--publish]
        [--discard]
        <instance>
        <log_name>

--enable

  Whether or not to enable log collection.

--disable

  Whether or not to disable log collection.

--publish

  Whether or not to publish log files to the backend storage for logs(Swift by default).

--discard

  Whether or not to discard the existing logs before publish.

instance

  Id or Name of the instance.

log_name

  Name of log to operate.

This command is provided by the python-troveclient plugin.

## database log show

Show information of given log name for the database instance.

    openstack database log show <instance> <log_name>

instance

  Id or Name of the instance.

log_name

  Name of log to operate.

This command is provided by the python-troveclient plugin.

## database log tail

Show the content of log file.

    openstack database log tail [--lines LINES] <instance> <log_name>

--lines <LINES>

  The number of log lines can be shown in batch.

instance

  Id or Name of the instance.

log_name

  Name of log to operate.

This command is provided by the python-troveclient plugin.

## database quota show

Show quotas for a project.

    openstack database quota show
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        project

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

project

  Id or name of the project.

This command is provided by the python-troveclient plugin.

## database quota update

Update quotas for a project.

    openstack database quota update project <resource> <limit>

project

  Id or name of the project.

resource

  Resource name.

limit

  New limit to set for the named resource.

This command is provided by the python-troveclient plugin.

## database root disable

Disables root for an instance.

    openstack database root disable <instance>

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database root enable

Enables root for an instance and resets if already exists.

    openstack database root enable
        [--root_password <root_password>]
        <instance_or_cluster>

--root_password <root_password>

  Root password to set.

instance_or_cluster

  ID or name of the instance or cluster.

This command is provided by the python-troveclient plugin.

## database root show

Gets status if root was ever enabled for an instance or cluster.

    openstack database root show <instance_or_cluster>

instance_or_cluster

  ID or name of the instance or cluster.

This command is provided by the python-troveclient plugin.

## database user create

Creates a user on an instance.

    openstack database user create
        [--host <host>]
        [--databases <databases> [<databases> ...]]
        <instance>
        <name>
        <password>

--host <host>

  Optional host of user.

--databases <databases>

  Optional list of databases.

instance

  ID or name of the instance.

name

  Name of user.

password

  Password of user.

This command is provided by the python-troveclient plugin.

## database user delete

Deletes a user from an instance.

    openstack database user delete [--host <host>] <instance> <name>

--host <host>

  Optional host of user.

instance

  ID or name of the instance.

name

  Name of user.

This command is provided by the python-troveclient plugin.

## database user grant access

Grants access to a database(s) for a user.

    openstack database user grant access
        [--host <host>]
        <instance>
        <name>
        <databases>
        [<databases> ...]

--host <host>

  Optional host of user.

instance

  ID or name of the instance.

name

  Name of user.

databases

  List of databases.

This command is provided by the python-troveclient plugin.

## database user list

Lists the users for an instance.

    openstack database user list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <instance>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

instance

  ID or name of the instance.

This command is provided by the python-troveclient plugin.

## database user revoke access

Revokes access to a database for a user.

    openstack database user revoke access
        [--host <host>]
        <instance>
        <name>
        <databases>

--host <host>

  Optional host of user.

instance

  ID or name of the instance.

name

  Name of user.

databases

  A single database.

This command is provided by the python-troveclient plugin.

## database user show

Shows details of a database user of an instance.

    openstack database user show [--host <host>] <instance> <name>

--host <host>

  Optional host of user.

instance

  ID or name of the instance.

name

  Name of user.

This command is provided by the python-troveclient plugin.

## database user show access

Shows access details of a user of an instance.

    openstack database user show access
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--host <host>]
        <instance>
        <name>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  Optional host of user.

instance

  ID or name of the instance.

name

  Name of user.

This command is provided by the python-troveclient plugin.

## database user update attributes

Updates a user’s attributes on an instance.At least one optional argument must be provided.

    openstack database user update attributes
        [--host <host>]
        [--new_name <new_name>]
        [--new_password <new_password>]
        [--new_host <new_host>]
        <instance>
        <name>

--host <host>

  Optional host of user.

--new_name <new_name>

  Optional new name of user.

--new_password <new_password>

  Optional new password of user.

--new_host <new_host>

  Optional new host of user.

instance

  ID or name of the instance.

name

  Name of user.

This command is provided by the python-troveclient plugin.

## datastore delete

Deletes a datastore

    openstack datastore delete <datastore>

datastore

  ID or name of the datastore

This command is provided by the python-troveclient plugin.

## datastore list

List available datastores

    openstack datastore list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-troveclient plugin.

## datastore show

Shows details of a datastore

    openstack datastore show <datastore>

datastore

  ID of the datastore

This command is provided by the python-troveclient plugin.

## datastore version create

Creates a datastore version.

    openstack datastore version create
        [--registry-ext REGISTRY_EXT]
        [--repl-strategy REPL_STRATEGY]
        [--active]
        [--image-tags IMAGE_TAGS]
        [--default]
        [--version-number VERSION_NUMBER]
        version_name
        datastore_name
        datastore_manager
        image_id

--registry-ext <REGISTRY_EXT>

  Extension for default datastore managers. Allows the use of custom managers for each of the datastores supported by Trove.This can be empty string.

--repl-strategy <REPL_STRATEGY>

  Extension for default strategy for replication. Allows the use of custom replication strategy for each of the datastores supported by Trove.This can be empty string.

--active

  Enable the datastore version.

--image-tags <IMAGE_TAGS>

  List of image tags separated by comma, e.g. trove,mysql

--default

  If set the datastore version as default.

--version-number <VERSION_NUMBER>

  The version number for the database. If not specified, use the version name as the default value.

version_name

  Datastore version name.

datastore_name

  Datastore name. The datastore is created automatically if does not exist.

datastore_manager

  Datastore manager, e.g. mysql

image_id

  ID of the datastore image in Glance. This can be empty string if –image-tags is specified.

This command is provided by the python-troveclient plugin.

## datastore version delete

Deletes a datastore version.

    openstack datastore version delete <datastore_version>

datastore_version

  ID of the datastore version.

This command is provided by the python-troveclient plugin.

## datastore version list

Lists available versions for a datastore

    openstack datastore version list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <datastore>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

datastore

  ID or name of the datastore

This command is provided by the python-troveclient plugin.

## datastore version set

Updates a datastore version.

    openstack datastore version set
        [--datastore-manager DATASTORE_MANAGER]
        [--image IMAGE]
        [--image-tags IMAGE_TAGS]
        [--registry-ext REGISTRY_EXT]
        [--repl-strategy REPL_STRATEGY]
        [--version-name VERSION_NAME]
        [--enable | --disable]
        [--default
        |
        --non-default
        ]
        datastore_version_id

--datastore-manager <DATASTORE_MANAGER>

  Datastore manager name.

--image <IMAGE>

  ID of the datastore image in Glance.

--image-tags <IMAGE_TAGS>

  List of image tags separated by comma, e.g. trove,mysql

--registry-ext <REGISTRY_EXT>

  Extension for default datastore managers. Allows the use of custom managers for each of the datastores supported by Trove.This can be empty string.

--repl-strategy <REPL_STRATEGY>

  Extension for default strategy for replication. Allows the use of custom replication strategy for each of the datastores supported by Trove.This can be empty string.

--version-name <VERSION_NAME>

  New datastore version name.

--enable

--disable

--default

--non-default

datastore_version_id

  Datastore version ID.

This command is provided by the python-troveclient plugin.

## datastore version show

Shows details of a datastore version.

    openstack datastore version show
        [--datastore <datastore>]
        <datastore_version>

--datastore <datastore>

  ID or name of the datastore. Optional if the ID ofthe datastore_version is provided.

datastore_version

  ID or name of the datastore version.

This command is provided by the python-troveclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.